searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"Openlibrary.html","title":"Openlibrary","type":"module"},{"doc":"","ref":"Openlibrary.html#start/2","title":"Openlibrary.start/2","type":"function"},{"doc":"Provides functions to find books from OpenLibrary.org by ISBN, LCCN, or OCLC identifiers.","ref":"Openlibrary.Book.html","title":"Openlibrary.Book","type":"module"},{"doc":"Fetch book information for given ISBN 10 or ISBN 13 number. Returns a map if\nresult is found, `nil` if no result is found and `:invalid_isbn` if invalid.\n\n    > Openlibrary.Book.find_by_isbn(\"0812511816\")\n    # %{ title: \"The Eye of the World\", authors: [%{}, %{}], ... }\n\n    > Openlibrary.Book.find_by_isbn(\"invalidisbn\")\n    # :invalid_isbn\n\n    > Openlibrary.Book.find_by_isbn(\"isbn not present in db\")\n    # nil","ref":"Openlibrary.Book.html#find_by_isbn/1","title":"Openlibrary.Book.find_by_isbn/1","type":"function"},{"doc":"Fetches book information for a list of ISBNs. Returns a map where the keys are\nthe ISBNs and the values are the corresponding book information.","ref":"Openlibrary.Book.html#find_by_isbns/1","title":"Openlibrary.Book.find_by_isbns/1","type":"function"},{"doc":"> Openlibrary.Book.find_by_isbns([\"0812511816\", \"0451524934\"])\n    # %{\n    #   \"ISBN:0812511816\" => %{ title: \"The Eye of the World\", authors: [%{}, %{}], ... },\n    #   \"ISBN:0451524934\" => %{ title: \"1984\", authors: [%{}, %{}], ... }\n    # }\n\n    > Openlibrary.Book.find_by_isbns([\"invalidisbn\", \"isbn not present in db\"])\n    # %{\n    #   \"ISBN:invalidisbn\" => nil,\n    #   \"ISBN:isbn not present in db\" => nil\n    # }","ref":"Openlibrary.Book.html#find_by_isbns/1-examples","title":"Examples - Openlibrary.Book.find_by_isbns/1","type":"function"},{"doc":"Fetch book information using Library of Congress catalog number.\n\n    > Openlibrary.Book.find_by_lccn(\"lccn\")\n    # %{ title: \"The Eye of the World\", authors: [%{}, %{}], ... }","ref":"Openlibrary.Book.html#find_by_lccn/1","title":"Openlibrary.Book.find_by_lccn/1","type":"function"},{"doc":"Fetches book information for a list of LCCNs (Library of Congress Control Numbers).\nReturns a map where the keys are the LCCNs and the values are the corresponding book information.","ref":"Openlibrary.Book.html#find_by_lccns/1","title":"Openlibrary.Book.find_by_lccns/1","type":"function"},{"doc":"> Openlibrary.Book.find_by_lccns([\"lccn1\", \"lccn2\"])\n    # %{\n    #   \"LCCN:lccn1\" => %{ title: \"The Eye of the World\", authors: [%{}, %{}], ... },\n    #   \"LCCN:lccn2\" => %{ title: \"1984\", authors: [%{}, %{}], ... }\n    # }\n\n    > Openlibrary.Book.find_by_lccns([\"invalidlccn\", \"lccn not present in db\"])\n    # %{\n    #   \"LCCN:invalidlccn\" => nil,\n    #   \"LCCN:lccn not present in db\" => nil\n    # }","ref":"Openlibrary.Book.html#find_by_lccns/1-examples","title":"Examples - Openlibrary.Book.find_by_lccns/1","type":"function"},{"doc":"Fetches book information for a list of OCLC (Worldcat Control Numbers).\nReturns a map where the keys are the OCLCs and the values are the corresponding book information.","ref":"Openlibrary.Book.html#find_by_oclc/1","title":"Openlibrary.Book.find_by_oclc/1","type":"function"},{"doc":"> Openlibrary.Book.find_by_oclc([\"lccn1\", \"lccn2\"])\n    # %{\n    #   \"LCCN:lccn1\" => %{ title: \"The Eye of the World\", authors: [%{}, %{}], ... },\n    #   \"LCCN:lccn2\" => %{ title: \"1984\", authors: [%{}, %{}], ... }\n    # }\n\n    > Openlibrary.Book.find_by_oclc([\"invalidlccn\", \"lccn not present in db\"])\n    # %{\n    #   \"LCCN:invalidlccn\" => nil,\n    #   \"LCCN:lccn not present in db\" => nil\n    # }","ref":"Openlibrary.Book.html#find_by_oclc/1-examples","title":"Examples - Openlibrary.Book.find_by_oclc/1","type":"function"}]}